dots.v2.projects.defaultEscaped.patch()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.projects.defaultEscaped.patch(body: Project, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | DefaultPatchResponse>Description
To update only specific attributes of your default project, send a PATCH request to /v2/projects/default. At least one of the following attributes needs to be sent.
Parameters
idstring optional read-onlyExample:
4e1bfbc3-dc3e-41f2-a18f-1b4d7ba71679The unique universal identifier of this project.
ownerUuidstring optional read-onlyExample:
99525febec065ca37b2ffe4f852fd2b2581895e7The unique universal identifier of the project owner.
ownerIdinteger optional read-onlyExample:
258992The integer id of the project owner.
namestring optionalExample:
my-web-apiThe human-readable name for the project. The maximum length is 175 characters and the name must be unique.
descriptionstring optionalExample:
My website APIThe description of the project. The maximum length is 255 characters.
purposestring optionalExample:
Service or APIThe purpose of the project. The maximum length is 255 characters. It can
have one of the following values:
- Just trying out DigitalOcean
- Class project / Educational purposes
- Website or blog
- Web Application
- Service or API
- Mobile Application
- Machine learning / AI / Data processing
- IoT
- Operational / Developer tooling
If another value for purpose is specified, for example, "your custom purpose",
your purpose will be stored asOther: your custom purpose.environmentstring optionalThe environment of the project's resources.
createdAtstring optional read-onlyExample:
2018-09-27T20:10:35ZA time value given in ISO8601 combined date and time format that represents when the project was created.
updatedAtstring optional read-onlyExample:
2018-09-27T20:10:35ZA time value given in ISO8601 combined date and time format that represents when the project was updated.
isDefaultboolean optionalExample:
falseIf true, all resources will be added to this project if no project is specified.
Request Sample
Response Example
More Information
See /v2/projects/default in the API reference for additional detail on responses, headers, parameters, and more.